﻿// Disclaimer:
// This software is provided AS IS for educational purposes only,
// with no warranties, and confers no rights. Error checking is 
// elided for clarity. Carry out sufficient tests prior to using
// it in a productive environment.
// CASIO Europe GmbH accepts no responsibility for loss or damage
// arising from its use, including damage from virus.
//
// Please, note: This configuration information may be changed
// without any further notice.
// Casio Europe GmbH does not guarantee future compatibility. By 
// using this software you agree to these terms and conditions.
//
// Version 1.00 - February 21, 2012
// Supported Devices: IT-300, IT-800
//
//////////////////////////////////////////////////////////////////////

using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using Microsoft.WindowsCE.Forms;

namespace ConnectionManagerSample
{
    public class StatusWindow : MessageWindow
    {
        private MainForm owner;

        public StatusWindow(MainForm owner)
        {
            this.owner = owner;
        }

        protected override void WndProc(ref Message m)
        {
            if (m.Msg == ConnectionManager.StatusMessage)
            {
                this.owner.OnStatusMessage(m.WParam.ToInt32());
            }
            
            base.WndProc(ref m);
        }
    }
}
